<!DOCTYPE html>
<html>
<head>
    <title><%= title %></title>
    <link rel='stylesheet' href='/stylesheets/style.css' />
    <meta charset="UTF-8"> 
</head>
<body>
<h1>Products</h1>

<table>
    <tbody>
        <% for(var i=0;  i < product.length; i++) {%>
            <% if (product[i].dataValues.minQuantity != 0) {%>
            <form id="formID" method="POST" action="/caisse/caisse/store-sales">
                <input type="hidden" name="productCode" value=<%= product[i].dataValues.code %> ></input>
                <input type="hidden" id="price<%=i%>" name="productPrice" value=<%= product[i].dataValues.price %> ></input>
                <label for="quantity">Product code : <%=product[i].dataValues.code%> </label>
                <br>Description : <%= product[i].dataValues.description %>
                <br>Price : <%= product[i].dataValues.price %>€ <br>
                <input type="number" id="number<%=i%>" name="clientQuantity" min="0" max=<%= product[i].dataValues.minQuantity %> />
                <input type="submit" value="validate" onclick="updateTotal(<%=i%>)"></input>
            </form>
            <br><br><hr>
            <%}%>
        <%}%>
    </tbody>
    
</table>

<form method="POST" action="/caisse/caisse/payment">
    
    <p>Total : </p>
    <p id="container">0</p>
    <input name="sum" id="sum-container" placeholder="sum" type="hidden" value=0>
    <select name="payments" id="payment-select" onchange="myfunc()">
        <option value="">--Please choose a payment mean--</option>
        <option value="cash">Cash</option>
        <option value="card">Credit card</option>
    </select>

    <input name="cardNumber" id="card_number" placeholder="Card number" style="display: none">
    <input name="validityDate" type="string" id="validity_date" placeholder="Validity date" style="display: none">
    <input name="ccv" id="ccv" placeholder="CCV" style="display: none">
    <input name="lastName" id="last_name" placeholder="Last name" style="display: none">
    <input name="firstName" id="first_name" placeholder="First name" style="display: none">
    <input name="bankProvider" id="bank_provider" placeholder="Provider" style="display: none">

    <input type="submit" value="Pay"></input>
</form>


<script>
    function myfunc(){
        var esp = document.getElementById("payment-select");
        if (esp.value == "card"){
            document.getElementById("card_number").style.display = "block";
            document.getElementById("validity_date").style.display = "block";
            document.getElementById("ccv").style.display = "block";
            document.getElementById("last_name").style.display = "block";
            document.getElementById("first_name").style.display = "block";
            document.getElementById("bank_provider").style.display = "block";
        }
        else if (esp.value == "cash"){
            document.getElementById("card_number").style.display = "none";
            document.getElementById("validity_date").style.display = "none";
            document.getElementById("ccv").style.display = "none";
            document.getElementById("last_name").style.display = "none";
            document.getElementById("first_name").style.display = "none";
            document.getElementById("bank_provider").style.display = "none";
        }
        else {
            document.getElementById("card_number").style.display = "none";
            document.getElementById("validity_date").style.display = "none";
            document.getElementById("ccv").style.display = "none";
            document.getElementById("last_name").style.display = "none";
            document.getElementById("first_name").style.display = "none";
            document.getElementById("bank_provider").style.display = "none";
        }
    }
    function updateTotal(i){
        let sum = parseInt(document.getElementById("container").innerHTML);
        let productPrice = parseInt(document.getElementById("price" + i).value);
        let productQuantity = parseInt(document.getElementById("number" + i).value);
        let toPay = sum + productPrice * productQuantity;
        document.getElementById("container").innerHTML = toPay;
        document.getElementById("sum-container").value = toPay;
    }
    
</script>


</body>
</html>
